Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227655 - libnet.cfg in wrong directory
Summary: libnet.cfg in wrong directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl
Version: 4.4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marcela Mašláňová
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 12:38 UTC by David Barnwell
Modified: 2009-05-18 20:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 490107 (view as bug list)
Environment:
Last Closed: 2009-05-18 20:08:16 UTC


Attachments (Terms of Use)
simple test using Net::Config (deleted)
2009-05-18 14:46 UTC, Petr Šplíchal
no flags Details
libnet.cfg test config file (deleted)
2009-05-18 14:48 UTC, Petr Šplíchal
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0961 normal SHIPPED_LIVE perl bug fix update 2009-05-18 13:31:22 UTC

Description David Barnwell 2007-02-07 12:38:49 UTC
Description of problem:
The perl configuration file libnet.cfg controls whether perl CPAN requests use
active or passive FTP. On x86_64 installations, this file has been placed in
/usr/lib64/perl5/5.8.5/Net and has no effect on FTP. All the other libnet files
are in their usual place of /usr/lib/perl5/5.8.5/Net. If this file is copied to
/usr/lib/perl5/5.8.5/Net, then it is effective.

Version-Release number of selected component (if applicable):
perl-5.8.5-36.RHEL4

How reproducible:
always occurs

Steps to Reproduce:
new installation of RHEL 4 on x86_64 platform
  
Actual results:
file /usr/lib64/perl5/5.8.5/Net/libnet.cfg is created. This has no effect.

Expected results:
this file should be /usr/lib/perl5/5.8.5/Net/libnet.cfg

Comment 1 RHEL Product and Program Management 2008-09-05 17:19:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Petr Šplíchal 2009-05-18 14:46:05 UTC
Created attachment 344448 [details]
simple test using Net::Config

Simple test case checking that libnet.cfg file is effective.

Comment 7 Petr Šplíchal 2009-05-18 14:48:34 UTC
Created attachment 344450 [details]
libnet.cfg test config file

Example libnet.cfg file to be used with the test case attached.

Comment 8 errata-xmlrpc 2009-05-18 20:08:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0961.html


Note You need to log in before you can comment on or make changes to this bug.